Move wiki to rackspace vm
Closed, ResolvedPublic

Description

In preparation for (or probably along with) moving the wiki's mysql database off to mysql01.

relrod created this task.May 30 2014, 8:15 PM
relrod updated the task description. (Show Details)
relrod raised the priority of this task from to Normal.
relrod claimed this task.
relrod added subscribers: relrod, austin.
relrod edited this Maniphest Task.May 30 2014, 8:16 PM
relrod edited this Maniphest Task.Jun 4 2014, 1:17 AM

Merged in old task. Copying my old comment:


So the way this should work is the same way it does for lun (AKA community) - we should use spiped to connect the wiki to the MariaDB instance @ mysql01.haskell.org on port 9000 (using the same symmetric key should be fine, reduces deployment headache, and spiped is forward secret by default anyway). Then we should move on T2: Move wiki to rackspace vm and move them into the same DC (which will need to be the IAD region where mysql01 is located).

austin raised the priority of this task from Normal to High.Oct 23 2014, 9:22 PM

Merged in another duplicate.

austin changed the visibility from "All Users" to "Public (No Login Required)".Oct 25 2014, 3:15 AM
austin changed the edit policy from "All Users" to "Haskell.org Infrastructure (Project)".

This is now done, and the wiki is on Rackspace.

austin closed this task as Resolved.Nov 19 2014, 8:47 PM